import service from './src/app';
import { updateAllHooks } from './src/hooks-sync';

function setUpdateInterval() {
  const hookSyncFrequency = service.configuration.updateInterval || 5 * 60 * 1000;

  setInterval(() => {
    updateAllHooks();
  }, hookSyncFrequency);
  updateAllHooks();
}

function main() {
  setUpdateInterval();
  service.start();
}

main();
